make importutils.import_versioned_module work for consuming projects

Bug #1627313 reported by ChangBo Guo(gcb) on 2016-09-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance Client
High
liwei
Vitrage Client
Undecided
Tuan
oslo.utils
High
ChangBo Guo(gcb)
python-ceilometerclient
Undecided
Tuan
python-heatclient
Fix Released
Undecided
shizhihui
python-ironicclient
Fix Released
Low
ChangBo Guo(gcb)
python-karborclient
Undecided
pawnesh kumar
python-muranoclient
Undecided
Kirill Zaitsev

Bug Description

We hard-code module name in method import_versioned_module as follow:

def import_versioned_module(version, submodule=None):
    """Import a versioned module.

    .. versionadded:: 0.3
    """
    module = 'oslo.v%s' % version
    if submodule:
        module = '.'.join((module, submodule))
    return import_module(module)

But downstream projects can't work and must provide specific version of this method:

http://codesearch.openstack.org/?q=import_versioned_module&i=nope&files=&repos=

Changed in oslo.utils:
assignee: nobody → ChangBo Guo(gcb) (glongwave)

This issue was fixed in the openstack/oslo.utils 3.17.0 release.

Fix proposed to branch: master
Review: https://review.openstack.org/392395

Changed in python-ironicclient:
assignee: nobody → ChangBo Guo(gcb) (glongwave)
status: New → In Progress
liwei (wei-li) on 2016-11-02
Changed in python-glanceclient:
assignee: nobody → liwei (wei-li)
Changed in python-glanceclient:
status: New → In Progress
shizhihui (shizhihui) on 2016-11-02
Changed in python-heatclient:
assignee: nobody → shizhihui (shizhihui)
LiuNanke (nanke-liu) on 2016-11-02
Changed in python-muranoclient:
assignee: nobody → LiuNanke (nanke-liu)

Fix proposed to branch: master
Review: https://review.openstack.org/392462

Changed in python-heatclient:
status: New → In Progress
Changed in python-ceilometerclient:
assignee: nobody → Tuan (tuanla)
status: New → In Progress
Changed in python-karborclient:
assignee: nobody → pawnesh kumar (pawnesh.kumar)

Fix proposed to branch: master
Review: https://review.openstack.org/392560

Changed in python-karborclient:
status: New → In Progress
Dmitry Tantsur (divius) on 2016-11-02
Changed in python-ironicclient:
importance: Undecided → Low
Tuan (tuanla) on 2016-11-03
Changed in python-vitrageclient:
assignee: nobody → Tuan (tuanla)
Changed in python-vitrageclient:
status: New → In Progress

Reviewed: https://review.openstack.org/392395
Committed: https://git.openstack.org/cgit/openstack/python-ironicclient/commit/?id=6c71d8771d7ab551ea2cf3e4b0ef8a3b539aed85
Submitter: Jenkins
Branch: master

commit 6c71d8771d7ab551ea2cf3e4b0ef8a3b539aed85
Author: ChangBo Guo(gcb) <email address hidden>
Date: Wed Nov 2 11:22:37 2016 +0800

    Use function import_versioned_module from oslo.utils

    oslo.utils 3.17 provides similar function, just use it.

    Closes-Bug: #1627313

    Change-Id: I1710faafd69cb098d603135ca8a158129edb6fec

Changed in python-ironicclient:
status: In Progress → Fix Released
Changed in oslo.utils:
status: New → Fix Released

Reviewed: https://review.openstack.org/392514
Committed: https://git.openstack.org/cgit/openstack/python-ceilometerclient/commit/?id=dc7e77989134fcda94934dc96aa8ac1c735bd939
Submitter: Jenkins
Branch: master

commit dc7e77989134fcda94934dc96aa8ac1c735bd939
Author: Luong Anh Tuan <email address hidden>
Date: Wed Nov 2 16:56:05 2016 +0700

    Make method import_versioned_module work

    Update function import_versioned_module in Oslo.utils 3.17.
    This patch update to meet new version. For more information:
    http://docs.openstack.org/developer/oslo.utils/history.html

    Change-Id: Ia031b53b27fcea66dbf4f2798d58b51c53c2d0cc
    Closes-Bug: #1627313

Changed in python-ceilometerclient:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/394770

Changed in python-muranoclient:
status: New → In Progress

This issue was fixed in the openstack/python-ironicclient 1.8.0 release.

Reviewed: https://review.openstack.org/392560
Committed: https://git.openstack.org/cgit/openstack/python-karborclient/commit/?id=fae4ef7a032500bd8592b624bbd2e65fda534fbc
Submitter: Jenkins
Branch: master

commit fae4ef7a032500bd8592b624bbd2e65fda534fbc
Author: pawnesh.kumar <email address hidden>
Date: Wed Nov 2 16:49:12 2016 +0530

    Make method import_versioned_module work

    Update function import_versioned_module in Oslo.utils 3.17.
    This patch update to meet new version. For more information:
    http://docs.openstack.org/developer/oslo.utils/history.html

    Change-Id: I8b856c4a6a017fdc668326cb18c0b14d6d09ddc2
    Closes-Bug: #1627313

Changed in python-karborclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-ironicclient 1.8.0 release.

Change abandoned by Nanke_Liu (lnk) (<email address hidden>) on branch: master
Review: https://review.openstack.org/394770

LiuNanke (nanke-liu) on 2016-12-01
Changed in python-muranoclient:
status: In Progress → Invalid
Changed in python-glanceclient:
importance: Undecided → Low
Tuan (tuanla) on 2016-12-15
Changed in oslo.utils:
importance: Undecided → High
milestone: none → 1.8.0
Changed in python-glanceclient:
importance: Low → High
Changed in python-muranoclient:
status: Invalid → Confirmed
Changed in oslo.utils:
milestone: 1.8.0 → 1.7.0
Changed in python-ironicclient:
milestone: none → 0.6.0

Reviewed: https://review.openstack.org/389580
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=4773c9667251043333d9c3e0c56e9d262186380d
Submitter: Jenkins
Branch: master

commit 4773c9667251043333d9c3e0c56e9d262186380d
Author: Li Wei <email address hidden>
Date: Fri Oct 21 15:57:39 2016 +0800

    Use import_versioned_module from oslo.utils

    oslo.utils 3.17 provides this funtion, so just use it directly.

    Change-Id: I85cb78a6fd33a5b1f7e09648efed1b0737678eee
    Closes-Bug: #1627313

Changed in python-glanceclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/392462
Committed: https://git.openstack.org/cgit/openstack/python-heatclient/commit/?id=8885ce78189ac2239ec0400f6fec734627bf1218
Submitter: Jenkins
Branch: master

commit 8885ce78189ac2239ec0400f6fec734627bf1218
Author: shizhihui <email address hidden>
Date: Wed Nov 2 16:09:48 2016 +0800

    Make method import_versioned_module work

    Oslo.utils 3.17 provides similar function, just use it.
    For more information:
    [1] http://docs.openstack.org/developer/oslo.utils/history.html

    Closes-Bug: #1627313

    Change-Id: Ie738e910cc72535fe97295d7e118eda2412ecd15

Changed in python-heatclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/392491
Committed: https://git.openstack.org/cgit/openstack/python-vitrageclient/commit/?id=664905565f7efea624630664e7ac56aecd4d3246
Submitter: Jenkins
Branch: master

commit 664905565f7efea624630664e7ac56aecd4d3246
Author: Luong Anh Tuan <email address hidden>
Date: Wed Nov 2 16:24:56 2016 +0700

    Make method import_versioned_module work

    Update function import_versioned_module in Oslo.utils 3.17
    This patch update to meet new version. For more information:
    http://docs.openstack.org/developer/oslo.utils/history.html

    Change-Id: I9c3ba7acc9b04e766ae4e55f817a5c876a0e8752
    Closes-Bug: #1627313

Changed in python-vitrageclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-glanceclient 2.6.0 release.

This issue was fixed in the openstack/python-heatclient 1.8.0 release.

This issue was fixed in the openstack/python-vitrageclient 1.1.0 release.

This issue was fixed in the openstack/python-ceilometerclient 2.8.0 release.

Changed in python-muranoclient:
assignee: LiuNanke (nanke-liu) → Kirill Zaitsev (kzaitsev)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/394770
Committed: https://git.openstack.org/cgit/openstack/python-muranoclient/commit/?id=6776dd66aca5055d72e0d3283dd4190c8f9555d5
Submitter: Jenkins
Branch: master

commit 6776dd66aca5055d72e0d3283dd4190c8f9555d5
Author: LiuNanke <email address hidden>
Date: Tue Nov 8 14:03:25 2016 +0800

    Make method import_versioned_module work

    Oslo.utils 3.17 provides similar function, just use it.
    For more information:
    [1] http://docs.openstack.org/developer/oslo.utils/history.html

    Change-Id: I77b0517422569f9ef559b2cf7c7d954713c74de5
    Closes-Bug: #1627313

Changed in python-muranoclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-muranoclient 0.13.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers